Bug 61392 - konsole window does not close with -ls
konsole window does not close with -ls
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-03-18 18:41 EST by ken_laird
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-18 18:41:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ken_laird 2002-03-18 18:41:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12smp i686)

Description of problem:
If you start /usr/bin/konsole with the -ls (login shell) command-line option, 
it will not
close when you press the window  X button or select File->Quit from the konsole
menu.  Instead you get a message about logging out the user and nothing happens.
This does not occur if konsole is started without the -ls option and did not
occur in 
prior releases of KDE.
We need to use the login shell option so that a site-wide profile and kshrc
Oh, we are also using the pdksh shell for compatibility with our mostly HP-UX
enterprise environment.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Start a konsole window with the command "konsole -ls"
2.Try to close it by pressing the Window Manager's X button in the upper right.
3.Or Try to close it from the konsole File->Quit menu item.


Actual Results:  Displays a message "logout <user name>"  and does nothing else.

Expected Results:  Window should close, having killed the shell process as well.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-03-19 05:57:39 EST
Not reproducable with 3.0.0-0.cvs20020314.3, assuming fixed.

Note You need to log in before you can comment on or make changes to this bug.